summaryrefslogtreecommitdiff
path: root/target/linux/ar71xx/base-files
diff options
context:
space:
mode:
authorJohn Crispin <john@openwrt.org>2014-06-11 13:00:00 +0000
committerJohn Crispin <john@openwrt.org>2014-06-11 13:00:00 +0000
commitc973fb031e519c708da6f6358e66731fc49e3bab (patch)
tree6e460f863835d6cd68194cbdb1ca6b3a864b8362 /target/linux/ar71xx/base-files
parent9a0b4ab4ed7ba47868d5862fbb97e2dae3f56ed8 (diff)
downloadmtk-20170518-c973fb031e519c708da6f6358e66731fc49e3bab.zip
mtk-20170518-c973fb031e519c708da6f6358e66731fc49e3bab.tar.gz
mtk-20170518-c973fb031e519c708da6f6358e66731fc49e3bab.tar.bz2
ar71xx: add sysupgrade support for wndr4300
Signed-off-by: John Crispin <blogic@openwrt.org> SVN-Revision: 41131
Diffstat (limited to 'target/linux/ar71xx/base-files')
-rwxr-xr-xtarget/linux/ar71xx/base-files/lib/upgrade/platform.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/target/linux/ar71xx/base-files/lib/upgrade/platform.sh b/target/linux/ar71xx/base-files/lib/upgrade/platform.sh
index a6723fa..4e698c6 100755
--- a/target/linux/ar71xx/base-files/lib/upgrade/platform.sh
+++ b/target/linux/ar71xx/base-files/lib/upgrade/platform.sh
@@ -305,6 +305,14 @@ platform_check_image() {
}
return 0
;;
+ wndr4300 )
+ nand_do_upgrade_stage1 $board $1
+ [ $? != 0 ] && {
+ echo "Invalid tar file."
+ return 1
+ }
+ return 0;
+ ;;
routerstation | \
routerstation-pro | \
ls-sr71 | \